std::recursive_mutex Class Reference

Inherits std::__recursive_mutex_base.

## Public Types

typedef __native_type * | native_handle_type

## Public Member Functions

| recursive_mutex (const recursive_mutex &)=delete
void | lock ()
native_handle_type | native_handle ()
recursive_mutex & | operator= (const recursive_mutex &)=delete
bool | try_lock () noexcept
void | unlock ()

## Private Types

typedef __gthread_recursive_mutex_t | __native_type

## Private Attributes

__native_type | _M_mutex

## Detailed Description

The standard recursive mutex type.

Definition at line 91 of file mutex.

The documentation for this class was generated from the following file:

- mutex